flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Test14 - 2D transport with time variable boundary
  mesh:
    mesh_file: ../00_mesh/square_0.2x0.2.msh
  # steady velocity field, with velocity v:0.1
  flow_equation: !Flow_Darcy_MH
    output_specific:
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    input_fields:
      - region: bulk
        conductivity: 1
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: 0.1*x
    n_schurs: 2
    output:
      fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: {}
    output_stream: 
      file: ./test14.pvd
      format: !vtk
        variant: ascii
      name: flow_output_stream
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - region: bulk
          init_conc: 0
        - region: .right
          bc_conc: !FieldTimeFunction
            time_function:
              - - 0.0
                - 0
              - - 0.5
                - 20
    substances:
      - A
    time:
      # test forcing smaller time step then output,
      # but still larger then 0.01 necessary for capture input
      min_dt: 0.1
      max_dt: 0.1
      end_time: 1.0
    output_stream: 
      file: ./transport.pvd
      format: !vtk
        variant: ascii
      name: transport_output_stream
      times:
        - step: 0.1
    balance:
      cumulative: true